| OpenSubdiv OpenSubdiv

Loading...
Searching...
No Matches
Classes | Enumerations
OpenSubdiv::OPENSUBDIV_VERSION::Sdc Namespace Reference

## Classes
class | Crease
| Types, constants and utilities related to semi-sharp creasing – whose implementation is independent of the subdivision scheme. More...
class | Options
| All supported options applying to subdivision scheme. More...
class | Scheme
| Scheme is a class template which provides all implementation for the subdivision schemes supported by OpenSubdiv through specializations of the methods of each. An instance of Scheme<SCHEME_TYPE> includes a set of Options that will dictate the variable aspects of its behavior. More...
struct | SchemeTypeTraits
| Traits associated with the types of all subdivision schemes – parameterized by the scheme type. All traits are also defined in the scheme itself. More...

## Enumerations
enum | SchemeType { SCHEME_BILINEAR , SCHEME_CATMARK , SCHEME_LOOP }
| Enumerated type for all subdivision schemes supported by OpenSubdiv. More...
enum | Split { SPLIT_TO_QUADS , SPLIT_TO_TRIS , SPLIT_HYBRID }
| Enumerated type for all face splitting schemes. More...

## Enumeration Type Documentation

## ◆ SchemeType

enum SchemeType

Enumerated type for all subdivision schemes supported by OpenSubdiv.

Enumerator
SCHEME_BILINEAR |
SCHEME_CATMARK |
SCHEME_LOOP |

Definition at line 37 of file types.h.

## ◆ Split

enum Split

Enumerated type for all face splitting schemes.

Enumerator
SPLIT_TO_QUADS | Used by Catmark and Bilinear.
SPLIT_TO_TRIS | Used by Loop.
SPLIT_HYBRID | Not currently used (potential future extension)

Definition at line 47 of file types.h.